Set a callback for worker exceptions

- « GearmanClient::setDataCallback

- GearmanClient::setFailCallback »

- PHP Manual
- GearmanClient
- Set a callback for worker exceptions

# GearmanClient::setExceptionCallback

(PECL gearman >= 0.5.0)

GearmanClient::setExceptionCallback — Set a callback for worker exceptions

### Description

public GearmanClient::setExceptionCallback(callable `$callback`): bool

Specifies a callback function to call when a worker for a task sends an exception.

> Note:

> The callback will only be triggered for tasks that are added (e.g. by calling GearmanClient::addTask()) after calling this method.

### Parameters

`callback`

  A function or method to call. It should return a valid Gearman return value.

  If no return statement is present, it defaults to `GEARMAN_SUCCESS`.

  callback(GearmanTask `$task`, mixed `$context`): int
  `task`

    The task this callback is called for.

  `context`

    Whatever has been passed to GearmanClient::addTask() (or equivalent method) as `context`.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- GearmanClient::setDataCallback() - Callback function when there is a data packet for a task
- GearmanClient::setCompleteCallback() - Set a function to be called on task completion
- GearmanClient::setCreatedCallback() - Set a callback for when a task is queued
- GearmanClient::setFailCallback() - Set callback for job failure
- GearmanClient::setStatusCallback() - Set a callback for collecting task status
- GearmanClient::setWarningCallback() - Set a callback for worker warnings
- GearmanClient::setWorkloadCallback() - Set a callback for accepting incremental data updates